Bug 213992 - devel/jsoncpp: fix for lang/gcc5
Summary: devel/jsoncpp: fix for lang/gcc5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-01 20:10 UTC by Kenneth Salerno
Modified: 2016-11-09 23:53 UTC (History)
4 users (show)

See Also:


Attachments
Fixes for lang/gcc5 (1.73 KB, patch)
2016-11-01 20:10 UTC, Kenneth Salerno
no flags Details | Diff
Fix for lang/gcc5 (1.68 KB, patch)
2016-11-02 11:36 UTC, Kenneth Salerno
no flags Details | Diff
same patch with added PORTREVISION (706 bytes, patch)
2016-11-02 16:59 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff
same patch with added PORTREVISION (3.08 KB, patch)
2016-11-02 17:04 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff
same patch with added PORTREVISION (2.68 KB, patch)
2016-11-02 17:12 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff
same patch with added PORTREVISION (2.80 KB, patch)
2016-11-02 17:13 UTC, Yuri Victorovich
no flags Details | Diff
Fix for lang/gcc5 (1.68 KB, patch)
2016-11-04 16:12 UTC, Kenneth Salerno
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Salerno 2016-11-01 20:10:04 UTC
Created attachment 176391 [details]
Fixes for lang/gcc5
Comment 1 Kenneth Salerno 2016-11-02 11:36:04 UTC
Created attachment 176420 [details]
Fix for lang/gcc5

Removed test for __GNUC_MINOR__
Comment 2 Yuri Victorovich freebsd_committer 2016-11-02 16:59:25 UTC
Created attachment 176493 [details]
same patch with added PORTREVISION

Passes poudriere on 10i386 and 11amd64.

Thanks!
Comment 3 Yuri Victorovich freebsd_committer 2016-11-02 17:04:05 UTC
Created attachment 176494 [details]
same patch with added PORTREVISION
Comment 4 Yuri Victorovich freebsd_committer 2016-11-02 17:12:48 UTC
Created attachment 176495 [details]
same patch with added PORTREVISION
Comment 5 Yuri Victorovich freebsd_committer 2016-11-02 17:13:54 UTC
Created attachment 176496 [details]
same patch with added PORTREVISION
Comment 6 Jan Beich freebsd_committer 2016-11-03 07:37:02 UTC
The port builds fine *as is* with lang/gcc6 (where bug 193528 is fixed). Why do you need lang/gcc5 in particular?
Comment 7 Kenneth Salerno 2016-11-03 12:22:10 UTC
(In reply to Jan Beich (mail not working) from comment #6)
I don't know, Jan, call me conservative but news like this persuades me to be cautious to jump on the latest release of any software: https://goo.gl/Ei3Hq3

In my experience, it is less frustrating to use N-1 major releases for everything but development or must-have features or functions.
Comment 8 Kenneth Salerno 2016-11-04 16:12:49 UTC
Created attachment 176629 [details]
Fix for lang/gcc5

Changed __GNUC__ >= 5 to == 5 since lang/gcc6 is not affected by this bug.
Comment 9 commit-hook freebsd_committer 2016-11-09 23:50:13 UTC
A commit references this bug:

Author: mandree
Date: Wed Nov  9 23:49:33 UTC 2016
New revision: 425819
URL: https://svnweb.freebsd.org/changeset/ports/425819

Log:
  Fix build on GCC 5.

  PR:		213992
  Submitted by:	Yuri Victorovich (maintainer)

Changes:
  head/devel/jsoncpp/Makefile
  head/devel/jsoncpp/files/patch-src_lib__json_json__reader.cpp
  head/devel/jsoncpp/files/patch-src_lib__json_json__writer.cpp
Comment 10 commit-hook freebsd_committer 2016-11-09 23:53:15 UTC
A commit references this bug:

Author: mandree
Date: Wed Nov  9 23:53:07 UTC 2016
New revision: 425820
URL: https://svnweb.freebsd.org/changeset/ports/425820

Log:
  Forced commit to note:

  PR:		213992
  Reported by:	Kenneth Salerno

Changes:
  head/devel/jsoncpp/Makefile